local x = Def.ActorFrame{
	LoadFont("_teko light 24px")..{
		Text=ScreenString("Saving Profiles");
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-32;diffuse,color("1,1,1,1");shadowlength,1);
		OffCommand=cmd(linear,0.15;diffusealpha,0);
	};
};

x[#x+1] = Def.Actor {
	BeginCommand=function(self)
		if SCREENMAN:GetTopScreen():HaveProfileToSave() then self:sleep(1); end;
		self:queuecommand("Load");
	end;
	LoadCommand=function() SCREENMAN:GetTopScreen():Continue(); end;
};

return x;